MITK has migrated from Bugzilla to Phabricator. Please head to our new bug tracking system.
Bug 15902 - Extend Registration to Save/Load Transformations, apply to several images/segmentations
Extend Registration to Save/Load Transformations, apply to several images/seg...
Status: RESOLVED FIXED
Product: MITK
Classification: Unclassified
Component: Modules
2013-06
All All
: low feature request
: Unspecified
Assigned To: Christian Weber
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 15:17 CEST by Christian Weber
Modified: 2014-01-08 15:45 CET (History)
1 user (show)

CAPA Problembeschreibung:
CAPA Bewertung:
CAPA Ursachenanalyse:
CAPA Lösungsansatz:
CAPA Ergebnis Problembehebung:
CAPA Prüfung:
Story:
Feature-/Umsetzungstickets:
Likelihood: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Weber 2013-08-22 15:17:50 CEST
use registration framework to easily register a complete folder to one reference image.

sub steps:
- save/load transformation (object/xml/whatever) [Michael]
- wrapper that registers images to references and applies the transformations to segmentation images [Christian]
Comment 1 Christian Weber 2013-08-23 13:46:44 CEST
New remote branch pushed: bug-15902-RegistrationWrapper
Comment 2 Christian Weber 2013-08-23 13:47:13 CEST
Michael: you can take over from here.
Comment 3 Christian Weber 2013-10-15 13:26:47 CEST
New remote branch pushed: bug-15902-RegistrationWrapper-201309
Comment 4 Christian Weber 2013-12-06 10:44:23 CET
[45fca0]: Merge branch 'bug-15902-RegistrationWrapper-201309'
Merged commits:
------------------------------------------------------------------
2013-12-06 10:37:32 Christian Weber [3c1c27]
Merge branch 'bug-15902-RegistrationWrapper-201309' of mitk.org:MITK into bug-15902-RegistrationWrapper-201309

------------------------------------------------------------------
2013-12-06 10:36:57 Christian Weber [cdc19e]
Revert CMakeList Type changes.
Minor documentation notes.

------------------------------------------------------------------
2013-11-25 15:08:38 Christian Weber [6fe8bd]
Fix Error applying parameters.

------------------------------------------------------------------
2013-11-15 11:01:30 Christian Weber [8761a7]
Actually use image with corrected origin for registration.

------------------------------------------------------------------
2013-11-07 13:25:40 Christian Weber [ae807a]
Fix, enable origin reset again,
but modify a cloned image instead of original

------------------------------------------------------------------
2013-10-18 11:30:47 Christian Weber [c37bd1]
Temporary Fix  for Origin Change

------------------------------------------------------------------
2013-10-15 13:26:43 Christian Weber [c0c842]
Merge branch 'bug-15902-RegistrationWrapper' into bug-15902-RegistrationWrapper-201309

Conflicts:
	Modules/DiffusionImaging/DiffusionCore/files.cmake

------------------------------------------------------------------
2013-10-15 11:04:04 Christian Weber [ffdc8a]
fix include.

------------------------------------------------------------------
2013-10-15 10:58:24 Christian Weber [1f6350]
Merge branch 'bug-15902-RegistrationWrapper' of mitk.org:MITK into bug-15902-RegistrationWrapper

------------------------------------------------------------------
2013-10-15 10:58:19 Christian Weber [ec382c]
Extended Docu

------------------------------------------------------------------
2013-10-15 10:57:19 Christian Weber [35a350]
rename

------------------------------------------------------------------
2013-10-15 10:30:27 Christian Weber [30cc48]
Remove unneccesary functions,
fix offset adaption for regular images

------------------------------------------------------------------
2013-10-14 17:57:40 Christian Weber [aa1dbb]
Fix Image data access

------------------------------------------------------------------
2013-10-14 17:55:30 Christian Weber [5bd55c]
Fix for Non-diffusion image registration

------------------------------------------------------------------
2013-10-14 17:53:48 Christian Weber [c9edc4]
Fix for Non-diffusion image registration

------------------------------------------------------------------
2013-09-26 15:52:57 Christian Weber [b11bd6]
clean up, now working dwi registration, and probably working gradient correction

------------------------------------------------------------------
2013-09-26 15:06:56 Christian Weber [e8cdda]
working dwi registration on b0 images (manual comuptation)

------------------------------------------------------------------
2013-09-24 17:58:36 Christian Weber [009002]
almost working DWI registration

------------------------------------------------------------------
2013-09-24 11:18:11 Christian Weber [04b8e1]
added double to pyramid regitsration helper, for some mri

------------------------------------------------------------------
2013-09-23 18:46:03 Christian Weber [f86f57]
Fix working batched registration.
Now using resampling to apply transformation.
can handle segmentations, some artefacts due to misaligned planes.

------------------------------------------------------------------
2013-09-10 10:15:28 Christian Weber [ea3f58]
Allow fixed and moving image to be of different types.

------------------------------------------------------------------
2013-09-10 10:07:13 Christian Weber [0d06d9]
Add InitializeByGeometry Option to PyramidalRegistrationMethod

------------------------------------------------------------------
2013-09-09 09:19:35 Christian Weber [f126b5]
Michael Goetz:
Fixed transformation of DiffusionImages, because they ignore geometry changes

------------------------------------------------------------------
2013-09-05 13:09:47 Christian Weber [71192e]
enhanced batched registration to handle dwi images
added method in diffusionimagecorrection to apply one transformation to all gradients

------------------------------------------------------------------
2013-09-05 11:09:53 Christian Weber [ba51f2]
Merge branch 'master' into bug-15902-RegistrationWrapper

------------------------------------------------------------------
2013-09-04 11:15:19 Christian Weber [b7d722]
Merge branch 'bug-15864-FloatSupportForRGBPixelTTypein3dImages' into bug-15902-RegistrationWrapper

------------------------------------------------------------------
2013-09-04 11:14:44 Christian Weber [274321]
rm unused line

------------------------------------------------------------------
2013-09-03 17:53:42 Christian Weber [a389dc]
Fix: Apply transformation correclty (now working)

------------------------------------------------------------------
2013-09-03 14:03:54 Christian Weber [6857b7]
void getTransformation
correct translation (invert sign)
rotation still an open issue

------------------------------------------------------------------
2013-09-02 19:36:39 Christian Weber [a4d983]
Fix: proper setting of translation

------------------------------------------------------------------
2013-09-02 19:36:04 Christian Weber [5d4a32]
Added possibility to mask image regions for registration

------------------------------------------------------------------
2013-09-02 13:51:48 Michael Goetz [e51678]
Fixed wrong transformation matrix

------------------------------------------------------------------
2013-08-30 15:10:43 Christian Weber [0883bf]
ADD unsigned short

------------------------------------------------------------------
2013-08-27 22:06:36 Christian Weber [876ce0]
Added unsigned short as possible data input for PyramidRegistrationMethod

------------------------------------------------------------------
2013-08-27 21:57:27 Christian Weber [2ea7e6]
changes to save image

------------------------------------------------------------------
2013-08-27 21:24:34 Christian Weber [73d981]
Merge branch 'master' into bug-15902-RegistrationWrapper

------------------------------------------------------------------
2013-08-27 20:10:23 Christian Weber [66eec9]
Merge branch 'master' of mitk.org:MITK

------------------------------------------------------------------
2013-08-27 16:17:49 Christian Weber [e26fed]
Merge remote-tracking branch 'origin/bug-15902-RegistrationWrapper'

------------------------------------------------------------------
2013-08-27 16:17:13 Christian Weber [8d644e]
Merge branch 'master' of mitk.org:MITK

------------------------------------------------------------------
2013-08-27 13:59:56 Michael Goetz [58d55a]
Implemented first version of position correcture.

------------------------------------------------------------------
2013-08-27 10:06:05 Christian Weber [af2e06]
Merge remote-tracking branch 'origin/bug-15902-RegistrationWrapper'

------------------------------------------------------------------
2013-08-23 13:46:39 Christian Weber [ec25b6]
Created Classes and Wrappers for batched registrations

------------------------------------------------------------------
2013-08-15 16:34:11 Christian Weber [a7af98]
fix

------------------------------------------------------------------
2013-08-15 16:23:33 Christian Weber [b84177]
added cmake entry for floats on composite images

------------------------------------------------------------------
2013-08-15 16:17:02 Christian Weber [539eb6]
+ 2D

------------------------------------------------------------------
2013-08-15 15:06:04 Christian Weber [ef6aab]
copied templates to support floats with rgb pixels